Subject: gay printer in Mississippi
From: [email-masked]
Date: Tue, 29 Apr 1997 00:16:04 -0400 (EDT)

I am a gay owned business in central Mississippi and I am trying to get more
gay business throught the Southeast. I am not trying to get business from any
other gay business, just trying to free your money from the hands of the
system at large. I give special discount to gay businesses and organizations
and that little trip across save you from paying sales tax to the systems
that thrive just to deprive us of out justly owned rights as human beings. I
print the Mississippi Voice here in Jackson.

Lesley Caron Slaton
Owner of  Ink Spot Printing
[email-masked]
Web Page: http://members.aol.com/InkSpot301/Index.html